Skip to main content
POST
/
templates
List templates
curl --request POST \
  --url https://restapi.sign.plus/v2/templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "tags": [
    "<string>"
  ],
  "ids": [
    "<string>"
  ],
  "first": 123,
  "last": 123,
  "after": "<string>",
  "before": "<string>",
  "ascending": true
}
'
import requests

url = "https://restapi.sign.plus/v2/templates"

payload = {
"name": "<string>",
"tags": ["<string>"],
"ids": ["<string>"],
"first": 123,
"last": 123,
"after": "<string>",
"before": "<string>",
"ascending": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
tags: ['<string>'],
ids: ['<string>'],
first: 123,
last: 123,
after: '<string>',
before: '<string>',
ascending: true
})
};

fetch('https://restapi.sign.plus/v2/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "has_next_page": true,
  "has_previous_page": true,
  "templates": [
    {
      "id": "<string>",
      "name": "<string>",
      "comment": "<string>",
      "pages": 123,
      "created_at": 123,
      "updated_at": 123,
      "expiration_delay": 123,
      "num_recipients": 123,
      "signing_steps": [
        {
          "recipients": [
            {
              "id": "<string>",
              "uid": "<string>",
              "name": "<string>",
              "email": "<string>"
            }
          ]
        }
      ],
      "documents": [
        {
          "id": "<string>",
          "name": "<string>",
          "filename": "<string>",
          "page_count": 123,
          "pages": [
            {
              "width": 123,
              "height": 123
            }
          ]
        }
      ],
      "notification": {
        "subject": "<string>",
        "message": "<string>",
        "reminder_interval": 123
      },
      "dynamic_fields": [
        "<string>"
      ],
      "attachments": {
        "settings": {
          "visible_to_recipients": true
        },
        "recipients": [
          {
            "recipient_id": "<string>",
            "recipient_name": "<string>",
            "placeholders": [
              {
                "recipient_id": "<string>",
                "id": "<string>",
                "name": "<string>",
                "hint": "<string>",
                "required": true,
                "multiple": true,
                "files": [
                  {
                    "id": "<string>",
                    "name": "<string>",
                    "size": 123,
                    "mimetype": "<string>"
                  }
                ]
              }
            ]
          }
        ]
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string

Name of the template

tags
string[]

List of tag templates

Tag of the template

ids
string[]

List of templates IDs

ID of the template

first
integer
last
integer
after
string
before
string
order_field
enum<string>

Field to order templates by. Valid values: TEMPLATE_ID, TEMPLATE_CREATION_DATE, TEMPLATE_MODIFICATION_DATE, TEMPLATE_NAME.

Available options:
TEMPLATE_ID,
TEMPLATE_CREATION_DATE,
TEMPLATE_MODIFICATION_DATE,
TEMPLATE_NAME
ascending
boolean

Whether to order templates in ascending order

Response

200 - application/json

List of templates retrieved successfully

has_next_page
boolean

Whether there is a next page

has_previous_page
boolean

Whether there is a previous page

templates
object[]